### Method

# Gio FileOutputStream query_info_async

#### Declaration

    void
    g_file_output_stream_query_info_async (
      GFileOutputStream* stream,
      const char* attributes,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously queries the `stream` for a `GFileInfo`. When completed, `callback` will be called with a `GAsyncResult` which can be used to finish the operation with g_file_output_stream_query_info_finish().

For the synchronous version of this function, see g_file_output_stream_query_info().

#### Parameters

`attributes`

  Type: `const char*`

  A file attribute query string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`io_priority`

  Type: `int`

  The I/O priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.